UMAD_CLASS_STR(3)

NAME
umad_*_str - class of functions to return string representations of enums

SYNOPSIS
#include <infiniband/umad_str.h>

const char * umad_class_str(uint8_t mgmt_class)
const char * umad_method_str(uint8_t mgmt_class, uint8_t method)
const char * umad_attribute_str(uint8_t mgmt_class, be16_t attr_id)
const char * umad_common_mad_status_str(be16_t status)
const char * umad_sa_mad_status_str(be16_t status)

DESCRIPTION
const char * umad_class_str(uint8_t mgmt_class) Return string value of management class enum const char * umad_method_str(uint8_t mgmt_class, uint8_t method) Return string value of the method for the mgmt_class specified const char * umad_attribute_str(uint8_t mgmt_class, be16_t attr_id) Return string value of attribute specified in attr_id based on mgmt_class specified. const char * umad_common_mad_status_str(be16_t status) Return string value for common MAD status values const char * umad_sa_mad_status_str(be16_t status) Return string value for SA MAD status values NOTE: Not all classes are supported.

RETURN VALUE
Returns a string representations of the fields specified.

AUTHOR

Ira Weiny <weiny2@llnl.gov>